const express = require("express");
const router = express.Router()

const {
  getSelf,
  loginUser,
  registerUser,
  getUser,
  editUser,
  deleteUser
} = require("../../AuthController");
const {validateJWT} = require("../../../middlewares/AuthorizationMiddleware");

router.route("/login").post(loginUser)
router.route("/register").post(registerUser)

router.route("/me").get(validateJWT, getSelf)

router.route("/:id").get(validateJWT, getUser)
router.route("/:id").patch(validateJWT, editUser)
router.route("/:id").delete(validateJWT, deleteUser)

module.exports = router
